## Publish a dataset to an external platform **post** `/api/v1/datasets/{dataset_id}/publish` Publishes the processed dataset to Hugging Face or Kaggle. Currently returns 501 — not yet implemented. ### Path Parameters - `dataset_id: string` ### Body Parameters - `target: "huggingface" or "kaggle"` Destination platform for publishing the dataset - `"huggingface"` - `"kaggle"` - `target_spec: optional map[unknown]` Target-specific configuration (e.g. repo name for HuggingFace, slug for Kaggle) ### Returns - `publish_id: string` Unique identifier for the publish job - `status: string` Status of the publish job - `message: optional string` Additional information about the publish request ### Example ```http curl https://api.adaptionlabs.ai/api/v1/datasets/$DATASET_ID/publish \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ADAPTION_API_KEY" \ -d '{ "target": "huggingface", "target_spec": { "repo_name": "bar", "private": "bar" } }' ``` #### Response ```json { "publish_id": "550e8400-e29b-41d4-a716-446655440000", "status": "queued", "message": "message" } ```